# 활동 리스트 조회

<mark style="color:blue;">`GET`</mark> `https://{act-domain}/v1.0/act/list`

#### Headers

| Name                                            | Type   | Description                 |
| ----------------------------------------------- | ------ | --------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {{app-access-token}} |

{% tabs %}
{% tab title="200: OK 성공" %}

````json
```json
{
    "return": 0,
    "message": "success",
    "value": {
        "act_count": 3,
        "acts": [
            {
                "type": 19,
                "enum": 1,
                "act_name": "프리미엄 길드 가입",
                "value": "0",
                "reward": {
                    "reward_type_name": "Coin",
                    "reward_coin_symbol": "LWA",
                    "reward_value": "1"
                }
            },
            {
                "type": 19,
                "enum": 2,
                "act_name": "물약을 3개 구매하세요",
                "value": "3",
                "reward": {
                    "reward_type_name": "Coin",
                    "reward_coin_symbol": "LWA",
                    "reward_value": "2"
                }
            },
            {
                "type": 19,
                "enum": 3,
                "act_name": "물약을 5개 구매하세요",
                "value": "5",
                "reward": {
                    "reward_type_name": "Coin",
                    "reward_coin_symbol": "LWA",
                    "reward_value": "3"
                }
            }
        ]
    }
}
```
````

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Example Curl" %}

```
curl --location --request GET 'https://{act-domain}/v1.0/act/list' \
--header 'Authorization: Bearer eyJhbGciOiJI...'
```

{% endtab %}

{% tab title="Response value" %}

<table><thead><tr><th width="173.33333333333331">key</th><th>data type</th><th>desc.</th></tr></thead><tbody><tr><td>act_count</td><td>int64</td><td>활동 리스트 개수</td></tr><tr><td>acts</td><td>object array</td><td></td></tr><tr><td>type</td><td>int64</td><td>활동 타입</td></tr><tr><td>enum</td><td>int64</td><td>활동Enum</td></tr><tr><td>act_name</td><td>string</td><td>활동 이름</td></tr><tr><td>value</td><td>string</td><td>세부 완료조건</td></tr><tr><td>reward</td><td>object</td><td></td></tr><tr><td>reward_type_name</td><td>string</td><td>보상종류</td></tr><tr><td>reward_coin_symbol</td><td>string</td><td>보상코인Symbol</td></tr><tr><td>reward_value</td><td>string</td><td>보상갯수(float형 string)</td></tr></tbody></table>

{% endtab %}

{% tab title="Result Code" %}

| return        | message | desc |
| ------------- | ------- | ---- |
| 0             | success | 성공   |
|               |         |      |
|               |         |      |
|               |         |      |
| {% endtab %}  |         |      |
| {% endtabs %} |         |      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://lumiwavelab.gitbook.io/inno-platform-doc-kr/reference/api-reference/inno-act/act/undefined.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
